> For the complete documentation index, see [llms.txt](https://docs.sensepass.com/sensepay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes/javascript-ui-sdk/custom-sdk-style.md).

# Custom SDK Style

style selected elements & general themes

{% hint style="info" %}
Customizing is possible only in the initial step of the configuration of SensePass's SDK client.\
If unfimiliar with the configuration step, refer to the [Config](https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes/javascript-ui-sdk#step-1-configuration) step.
{% endhint %}

### Customizable themes

#### When configuring the SDK, you may set the following code as the configuration object:

<pre class="language-javascript" data-line-numbers><code class="lang-javascript">const spClient = SensePassFrontEndSDK.config({
   mode: "sandbox", // "sandbox" | "production"
   debug: true, // optional for logs
   visualizer: true, // optional visual logs, requires HTML with id="sensepass-front-end-visualizer"
<strong>   clientId: 'aee8d2cdc1cb...', // a SensePass's "clientId"
</strong>   methodType: "manual_capture", // type for the transaction, defaults to "manual_capture", enum: "manual_capture" | "tokenize"
   theme: { // optional theme for various packages
	/** angular material provides extensive documentation on customizing their theme
	* you can find it at: https://material.angular.io/guide/theming */
	material: "https://pay.sandbox.sensepass.com/publicAssets/themes/custom-sample-material.theme.css", // sample for a customized material theme
	sensepassEcommerce: "https://pay.sandbox.sensepass.com/publicAssets/themes/custom-sample-ecommerce.theme.css", // sample for a customized sensepass theme
	paymentMethodGrid: "horizontal", // horizontal | vertical style of the payment options
	config: {} // a configuration object for specific payment methods text/animations
   }
})
</code></pre>

Download and edit the following themes you wish to style on your own:

1. Material theme: <https://pay.sandbox.sensepass.com/publicAssets/themes/material.theme.css>
2. SensePass theme: [https://pay.sandbox.sensepass.com/publicAssets/themes/ecommerce.theme.css](https://pay.sandbox.sensepass.com/publicAssets/themes/material.theme.css)
3. Save your themes in a hosting site of your choosing and set their URL in the config JSON.
4. Use the [SDK Theme Config Model](/sensepay/transaction-api/models/sdk-theme-config-model.md) to set you custom text and other UI configurations.

You may test your themes on our playground: <https://js.sensepass.com>\
![](https://3556089516-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MbqMA3Kf8t2xEX9F6y9%2Fuploads%2F8wN9S9LXnktotYWTg4wZ%2Fimage.png?alt=media\&token=b310a4fe-77ba-4719-acc0-d6b5dbad23f6)![](https://3556089516-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MbqMA3Kf8t2xEX9F6y9%2Fuploads%2FtqWg6hApRTo5CZl3RHtZ%2Fimage.png?alt=media\&token=b0dee2ad-4cf0-429c-996a-774b4416c029)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes/javascript-ui-sdk/custom-sdk-style.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
